Name: zigbeemanager
Summary: Zigbee gateway manager
Version: 0.1.3
Release: %mkrel 1
License: GPLv3
Group: Networking/Other
Source0: %{name}-%{version}.tar.gz
Packager: dtux@free.fr
Distribution: Mageia
Url: https://www.librepc.fr
Vendor: DTux
BuildRequires:      qmake
BuildRequires:      make
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5SerialPort)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(Qt5Xml)
BuildRequires:      pkgconfig(Qt5Concurrent)
#BuildRequires:      cmake(KF5Completion)
BuildRequires:      cmake(KF5CoreAddons)
#BuildRequires:      cmake(KF5I18n)
#BuildRequires:      cmake(KF5DBusAddons)
BuildRequires:      cmake(KF5Config)
#BuildRequires:      cmake(KF5ItemViews)
#BuildRequires:      pstreams-devel
#BuildRequires:      boost-devel
#BuildRequires:	    qt5keychain-devel
#Requires:       kitemviews
#Requires:       kcompletions
#Requires:       kcoreaddons
#Requires:       kdbusaddons
#Requires:       rsync
#Requires:       bind-utils

%global debug_package %{nil}

%description
zigbeemanager can manage zigbee networks.

%prep
%setup -q  -n %{name}

%build
qmake-qt5 .
%make_build

%install
INSTALL_ROOT=%{buildroot} make install

##find_lang %{name} --with-qt

%files
##-f {name}.lang
%{_bindir}/%{name}
##{_docdir}/{name}/README*
